# Deregister a data.frame or list in Radiant

Source: `R/radiant.R`
`deregister.Rd`

Deregister a data.frame or list in Radiant

    deregister(
      dataset,
      shiny = shiny::getDefaultReactiveDomain(),
      envir = r_data,
      info = r_info
    )

## Arguments

dataset

  String containing the name of the data.frame to deregister

shiny

  Check if function is called from a shiny application

envir

  Environment to remove data from

info

  Reactive list with information about available data in radiant